Name:           openlmi-providers
Version:        0.0.12
Release:        2%{?dist}
Summary:        Set of basic CIM providers

License:        GPLv2+
URL:            http://fedorahosted.org/openlmi/
Source0:        http://fedorahosted.org/released/openlmi-providers/%{name}-%{version}.tar.gz

# Upstream name has been changed from cura-providers to openlmi-providers
Provides:       cura-providers%{?_isa} = %{version}-%{release}
Obsoletes:      cura-providers < 0.0.10-1

BuildRequires:  cmake
BuildRequires:  konkretcmpi-devel >= 0.8.7-7
BuildRequires:  sblim-cmpi-devel
BuildRequires:  cim-schema
# For openlmi-power
BuildRequires:  upower-devel
# For openlmi-fan
BuildRequires:  lm_sensors-devel
# For openlmi-account
BuildRequires:  libuser-devel
BuildRequires:  python2-devel

# For openlmi-register-pegasus script
Requires:       python2
# sblim-sfcb or tog-pegasus
Requires:       cim-server

# XXX
# Just because we have wired python's scripts
# Remove in future
BuildRequires: python-setuptools

%description
%{name} is set of (usually) small CMPI providers (agents) for basic
monitoring and management of host system using Common Information
Model (CIM).

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       cura-providers-devel%{?_isa} = %{version}-%{release}
Obsoletes:      cura-providers-devel < 0.0.10-1

%description devel
%{summary}.

%package -n openlmi-fan
Summary:        CIM provider for controlling fans
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       cura-fan%{?_isa} = %{version}-%{release}
Obsoletes:      cura-fan < 0.0.10-1

%description -n openlmi-fan
%{summary}.


%package -n openlmi-powermanagement
Summary:        Power management CIM provider
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       upower
Provides:       cura-powermanagement%{?_isa} = %{version}-%{release}
Obsoletes:      cura-powermanagement < 0.0.10-1

%description -n openlmi-powermanagement
%{summary}.


%package -n openlmi-service
Summary:        CIM provider for controlling system services
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       cura-service%{?_isa} = %{version}-%{release}
Obsoletes:      cura-service < 0.0.10-1

%description -n openlmi-service
%{summary}.

%package -n openlmi-account
Summary:        CIM provider for managing accounts on system
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       cura-account%{?_isa} = %{version}-%{release}
Obsoletes:      cura-account < 0.0.10-1

%description -n openlmi-account
%{summary}.

%package -n openlmi-software
Summary:        CIM providers for software management
Requires:       %{name} = %{version}-%{release}
Provides:       cura-software = %{version}-%{release}
Obsoletes:      cura-software < 0.0.10-1
BuildArch:      noarch

Requires:       cmpi-bindings-pywbem
Requires:       yum
# For Linux_ComputerSystem
Requires:       sblim-cmpi-base

%description -n openlmi-software
The openlmi-software package contains CMPI providers for management of software
through yum package manager with Common Information Managemen (CIM) protocol.

The providers can be registered in any CMPI-aware CIMOM, both OpenPegasus and
SFCB were tested.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# for software providers
pushd src/software
%{__python} setup.py build
popd # src/software

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# XXX
# Remove pythonies
# Don't forget to remove this dirty hack in the future
rm -rf "$RPM_BUILD_ROOT"/usr/bin/*.py
rm -rf "$RPM_BUILD_ROOT"/usr/lib/python*

# for software providers
pushd src/software
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd # src/software
cp mof/LMI_Software.reg $RPM_BUILD_ROOT/%{_datadir}/%{name}/


%files
%doc README COPYING
%dir %{_datadir}/%{name}
%{_libdir}/libopenlmicommon.so.*
%attr(755, root, root) %{_bindir}/openlmi-mof-register
%attr(755, root, root) %{_libexecdir}/openlmi-register-pegasus

%files devel
%{_libdir}/libopenlmicommon.so
%{_includedir}/openlmi/globals.h
%{_datadir}/cmake/Modules/OpenLMIMacros.cmake
%{_datadir}/cmake/Modules/FindCMPI.cmake
%{_datadir}/cmake/Modules/FindKonkretCMPI.cmake

%files -n openlmi-fan
%doc README COPYING
%{_libdir}/cmpi/libcmpiLMI_Fan.so
%{_datadir}/%{name}/LMI_Fan.mof
%{_datadir}/%{name}/LMI_Fan.reg

%files -n openlmi-powermanagement
%doc README COPYING
%{_libdir}/cmpi/libcmpiLMI_PowerManagement.so
%{_datadir}/%{name}/LMI_PowerManagement.mof
%{_datadir}/%{name}/LMI_PowerManagement.reg

%files -n openlmi-service
%doc README COPYING
%attr(755, root, root) %{_libexecdir}/servicedisc.sh
%attr(755, root, root) %{_libexecdir}/serviceutil.sh
%{_libdir}/cmpi/libcmpiLMI_Service.so
%{_datadir}/%{name}/LMI_Service.mof
%{_datadir}/%{name}/LMI_Service.reg

%files -n openlmi-account
%doc README COPYING
%{_libdir}/cmpi/libcmpiLMI_Account.so
%{_datadir}/%{name}/LMI_Account.mof
%{_datadir}/%{name}/LMI_Account.reg

%files -n openlmi-software
%doc README COPYING
%{python_sitelib}/*
%{_datadir}/%{name}/LMI_Software.mof
%{_datadir}/%{name}/LMI_Software.reg


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%pre -n openlmi-fan
# If upgrading, deregister old version
if [ "$1" -gt 1 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Fan.mof \
        %{_datadir}/%{name}/LMI_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n openlmi-powermanagement
if [ "$1" -gt 1 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_PowerManagement.mof \
        %{_datadir}/%{name}/LMI_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n openlmi-service
if [ "$1" -gt 1 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Service.mof \
        %{_datadir}/%{name}/LMI_Service.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n openlmi-account
if [ "$1" -gt 1 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Account.mof \
        %{_datadir}/%{name}/LMI_Account.reg \
        > /dev/null 2>&1 || :;
fi

%pre -n openlmi-software
if [ "$1" -gt 1 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Software.mof \
        %{_datadir}/%{name}/LMI_Software.reg \
        > /dev/null 2>&1 || :;
fi


%post -n openlmi-fan
# Register Schema and Provider
if [ "$1" -ge 1 ]; then
    %{_bindir}/openlmi-mof-register register \
        %{_datadir}/%{name}/LMI_Fan.mof \
        %{_datadir}/%{name}/LMI_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%post -n openlmi-powermanagement
if [ "$1" -ge 1 ]; then
    %{_bindir}/openlmi-mof-register register \
        %{_datadir}/%{name}/LMI_PowerManagement.mof \
        %{_datadir}/%{name}/LMI_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%post -n openlmi-service
if [ "$1" -ge 1 ]; then
    %{_bindir}/openlmi-mof-register register \
        %{_datadir}/%{name}/LMI_Service.mof \
        %{_datadir}/%{name}/LMI_Service.reg \
        > /dev/null 2>&1 || :;
fi

%post -n openlmi-account
if [ "$1" -ge 1 ]; then
    %{_bindir}/openlmi-mof-register register \
        %{_datadir}/%{name}/LMI_Account.mof \
        %{_datadir}/%{name}/LMI_Account.reg \
        > /dev/null 2>&1 || :;
fi

%post -n openlmi-software
if [ "$1" -ge 1 ]; then
    %{_bindir}/openlmi-mof-register register \
        %{_datadir}/%{name}/LMI_Software.mof \
        %{_datadir}/%{name}/LMI_Software.reg \
        > /dev/null 2>&1 || :;
fi


%preun -n openlmi-fan
# Deregister only if not upgrading
if [ "$1" -eq 0 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Fan.mof \
        %{_datadir}/%{name}/LMI_Fan.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n openlmi-powermanagement
if [ "$1" -eq 0 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_PowerManagement.mof \
        %{_datadir}/%{name}/LMI_PowerManagement.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n openlmi-service
if [ "$1" -eq 0 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Service.mof \
        %{_datadir}/%{name}/LMI_Service.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n openlmi-account
if [ "$1" -eq 0 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Account.mof \
        %{_datadir}/%{name}/LMI_Account.reg \
        > /dev/null 2>&1 || :;
fi

%preun -n openlmi-software
if [ "$1" -eq 0 ]; then
    %{_bindir}/openlmi-mof-register unregister \
        %{_datadir}/%{name}/LMI_Software.mof \
        %{_datadir}/%{name}/LMI_Software.reg \
        > /dev/null 2>&1 || :;
fi


%changelog
* Wed Oct 31 2012 Roman Rakus <rrakus@redhat.com> - 0.0.12-2
- Requires fixed konkretcmpi >= 0.8.7-7

* Thu Oct 25 2012 Roman Rakus <rrakus@redhat.com> - 0.0.12-1
- Update to version 0.0.12

* Thu Oct 25 2012 Radek Novacek <rnovacek@redhat.com> 0.0.10-2
- Remove %isa from obsoletes

* Mon Oct 22 2012 Radek Novacek <rnovacek@redhat.com> - 0.0.10-1
- Package rename to openlmi-providers (instead of cura-providers)
- helper scripts moved from usr/share to proper location
- Version 0.0.10

* Sat Oct 13 2012 Michal Minar <miminar@redhat.com> - 0.0.9-1
- Version 0.0.9
- Renamed cura-yum subpackage to cura-software

* Sun Oct 07 2012 Michal Minar <miminar@redhat.com> - 0.0.8-1
- Version 0.0.8

* Wed Oct 03 2012 Michal Minar <miminar@redhat.com> - 0.0.7-1
- Version 0.0.7

* Thu Sep 27 2012 Michal Minar <miminar@redhat.com> - 0.0.6-1
- Added yum software management providers.

* Thu Sep 27 2012 Roman Rakus <rrakus@redhat.com> - 0.0.5-1
- Version 0.0.5

* Tue Sep 18 2012 Roman Rakus <rrakus@redhat.com> - 0.0.4-1
- Version 0.0.4
- Remove python parts. There are not intended to be present here.

* Mon Aug 27 2012 Radek Novacek <rnovacek@redhat.com> 0.0.3-1
- Version 0.0.3
- Rename prefix from Cura_ to LMI_
- Add more development files

* Tue Aug 14 2012 Roman Rakus <rrakus@redhat.com> - 0.0.2-1
- Version 0.0.2 which includes account manager

* Fri Aug 03 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-2
- BR: cim-schema
- Don't clean buildroot in install
- Fix typo

* Tue Jul 31 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-1
- Initial package

